# Generated by Django 2.0.5 on 2022-06-23 12:29

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('sales', '0012_auto_20220623_0710'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='agreement',
            options={'ordering': ['-updated_on']},
        ),
        migrations.AddField(
            model_name='agreement',
            name='is_current_version',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='agreement',
            name='parent_agreement',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='child_agreement', to='sales.Agreement'),
        ),
        migrations.AddField(
            model_name='agreement',
            name='root_agreement',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='sales.Agreement'),
        ),
    ]
